﻿<%@ Page Language="C#" AutoEventWireup="false" EnableViewState="true" CodeBehind="AdminSettingsPage.aspx.cs"
    Inherits="EPiServer.Labs.MobilePack.Core.Manifest.AdminSettingsPage" %>

<%@ Register TagPrefix="EPiServer" Namespace="EPiServer.WebControls" Assembly="EPiServer" %>
<%@ Register TagPrefix="EPiServer" Namespace="EPiServer.Web.WebControls" Assembly="EPiServer" %>
<%@ Register TagPrefix="EPiServerSys" Namespace="EPiServer.UI.WebControls" Assembly="EPiServer.UI" %>
<%@ Import Namespace="EPiServer.Shell" %>
<%@ Import Namespace="EPiServer.Shell.Web.UI" %>
<%@ Import Namespace="EPiServer.Shell.Web.Mvc.Html" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title></title>
    <meta name="CODE_LANGUAGE" content="C#" />
    <meta name="vs_defaultClientScript" content="JavaScript" />
    <meta name="vs_targetSchema" content="http://schemas.microsoft.com/intellisense/ie5" />
    <script type='text/javascript' src='<%# EPiServer.UriSupport.ResolveUrlFromUtilBySettings("javascript/episerverscriptmanager.js") %>'></script>
    <script type='text/javascript' src='<%# EPiServer.UriSupport.ResolveUrlFromUIBySettings("javascript/common.js") %>'></script>
    <script type='text/javascript' src='<%# EPiServer.UriSupport.ResolveUrlFromUIBySettings("javascript/system.js") %>'></script>
    <script type='text/javascript' src='<%# EPiServer.UriSupport.ResolveUrlFromUIBySettings("javascript/system.aspx") %>'></script>
    <asp:PlaceHolder runat="server">
        <%=Page.ClientResources("ShellCore")%>
        <%=Page.ClientResources("ShellCoreLightTheme")%>
        <%=Page.ClientResources("Navigation")%>
        <link type="text/css" rel="stylesheet" href="<%= Paths.ToClientResource("CMS", "ClientResources/Epi/Base/CMS.css") %>" />
    </asp:PlaceHolder>
    <style type="text/css">
        .settingspanel
        {
            overflow: visible;
        }
        .errormessage
        {
            color: Red;
            font-size: 20px;
        }
        .infopanel
        {
            margin: 5 5 5 5;
            padding: 15px 15px 15px 15px;
            width: 500px;
            background-color: White;
            border-style: Solid;
            border-color: Black;
            border-width: 1px;
        }
    </style>
</head>
<body>
    <form id="Exporter2" method="post" runat="server">
    <div class="epi-contentContainer epi-padding">
        <div class="epi-contentArea">
            <h1>
                Manifest Settings Page</h1>
            <div class="infopanel">
            <asp:Panel runat="server" ID="FileListPanel" />
            <asp:Label runat="server" ID="InfoMessage" Visible="false" />
            <asp:Label runat="server" ID="ErrorMessage" Visible="false" />
            </div>
          
            <br />
            <table border="0">
                <tr>
                    <td>
                        Select Start Page
                    </td>
                    <td>
                        <EPiServer:InputPageReference id="PageRoot" DisableCurrentPageOption="true" runat="server" />
                    </td>
                </tr>
                <tr>
                    <td>
                        Include Start Page
                    </td>
                    <td>
                        <asp:CheckBox runat="server" ID="IncludeStartPage"></asp:CheckBox>
                    </td>
                </tr>
            </table>
            <br />
            <EPiServerSys:toolbutton ID="ForceUpdate" runat="server" onclick="Force_Update" text="Save"
                skinid="Save" />
            <EPiServerSys:toolbutton ID="Preview" runat="server" onclick="Preview_OnClick" text="View" />
        </div>
    </div>
    </form>
</body>
</html>
